Bug 82150 - LABEL= is a bad idea
Summary: LABEL= is a bad idea
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-18 10:01 UTC by Nathan G. Grennan
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-21 21:28:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathan G. Grennan 2003-01-18 10:01:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
I have repeatedly run into issue with LABEL= in /etc/grub.conf(written by
anaconda as far as I know) and /etc/fstab. It has to do with moving drives from
one linux box to another, either to copy everything over to get rid of a failing
drive, or just to copy some data over. You often end up with results like it
boots off the wrong drive, or it boots off one drive, but then mount another. I
think the LABEL= code should be completely ripped out and revert to using device
names.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install drive from another computer running RedHat
2. Boot

    

Actual Results:  Either booting off the wrong drive, or mounting the wrong
partitions

Expected Results:  Boot and mounting the expected drive or partitions every time

Additional info:

Comment 1 Michael Lee Yohe 2003-01-21 13:59:44 UTC
I have actually stumbled upon this a number of times.  I've always dropped to
single user mode to change the labels around, but in general - it's a valid point.

Comment 2 Jeremy Katz 2003-01-21 21:28:16 UTC
Not using labels is also problematic for when people add scsi adapters or
rearrange adapters or lots of other reasons.  Labels aren't the end all be all,
but they are an improvement.  If you're moving drives from one machine to
another, you're likely to end up needing to change drive names and I fail to see
how that's significantly easier than changing labels.


Note You need to log in before you can comment on or make changes to this bug.